Debian Bug report logs - #463369
sylpheed-claws: ldap_get_values, ldap_init, ldap_open implicitly converted to pointers

version graph

Package: sylpheed-claws; Maintainer for sylpheed-claws is (unknown);

Reported by: dann frazier <dannf@debian.org>

Date: Thu, 31 Jan 2008 07:12:01 UTC

Severity: serious

Tags: confirmed, patch

Found in versions sylpheed-claws/1.0.5-5.2, sylpheed-claws/1.0.5-6

Fixed in version sylpheed-claws/1.0.5-6.1

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ricardo Mones <mones@debian.org>:
Bug#463369; Package sylpheed-claws. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Ricardo Mones <mones@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: sylpheed-claws: ldap_get_values, ldap_init, ldap_open implicitly converted to pointers
Date: Thu, 31 Jan 2008 00:09:36 -0700
Package: sylpheed-claws
Version: 1.0.5-5.2
Severity: important
Tags: patch
Usertags: implicit-pointer-conversion

Our automated buildd log filter[1] detected a problem that is likely to
cause your package to segfault on architectures where the size of a
pointer is greater than the size of an integer, such as ia64 and amd64.

This is often due to a missing function prototype definition.
For more information, see [2].

[1] http://people.debian.org/~dannf/check-implicit-pointer-functions
[2] http://wiki.debian.org/ImplicitPointerConversions

  Function `ldap_get_values' implicitly converted to pointer at ldapquery.c:458
  Function `ldap_init' implicitly converted to pointer at ldapquery.c:709
  Function `ldap_get_values' implicitly converted to pointer at ldaputil.c:89
  Function `ldap_init' implicitly converted to pointer at ldaputil.c:210
  Function `ldap_open' implicitly converted to pointer at ldaputil.c:247

The libldap API has been updated and many functions used by the ldap
plugin are now deprecated. This package should either update to the
new API or define LDAP_DEPRECATED to continue using the deprecated
interfaces.

This patch implements the lazy solution.

diff -urpN sylpheed-claws-1.0.5.orig/src/ldapquery.h sylpheed-claws-1.0.5/src/ldapquery.h
--- sylpheed-claws-1.0.5.orig/src/ldapquery.h	2005-06-27 05:50:13.000000000 -0600
+++ sylpheed-claws-1.0.5/src/ldapquery.h	2008-01-31 00:00:08.000000000 -0700
@@ -30,6 +30,7 @@
 #include <stdio.h>
 #include <sys/time.h>
 #include <pthread.h>
+#define LDAP_DEPRECATED 1
 #include <ldap.h>
 
 #include "addrquery.h"
--- sylpheed-claws-1.0.5.orig/src/ldaputil.c	2005-06-27 05:50:13.000000000 -0600
+++ sylpheed-claws-1.0.5/src/ldaputil.c	2008-01-31 00:00:18.000000000 -0700
@@ -30,6 +30,7 @@
 #include <glib.h>
 #include <string.h>
 #include <sys/time.h>
+#define LDAP_DEPRECATED 1
 #include <ldap.h>
 #include <lber.h>
 




Severity set to `serious' from `important' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 13 Feb 2008 08:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#463369; Package sylpheed-claws. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #12 received at 463369@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 463359@bugs.debian.org, 463361@bugs.debian.org, 463364@bugs.debian.org, 463365@bugs.debian.org, 463369@bugs.debian.org, 463372@bugs.debian.org, 463411@bugs.debian.org, 463322@bugs.debian.org, 463410@bugs.debian.org, 463368@bugs.debian.org, 463362@bugs.debian.org
Cc: control@bugs.debian.org
Subject: intend to NMU
Date: Mon, 3 Mar 2008 17:58:34 -0700
usertag 463322 + intend-to-nmu
usertag 463359 + intend-to-nmu
usertag 463361 + intend-to-nmu
usertag 463362 + intend-to-nmu
usertag 463364 + intend-to-nmu
usertag 463365 + intend-to-nmu
usertag 463368 + intend-to-nmu
usertag 463369 + intend-to-nmu
usertag 463372 + intend-to-nmu
usertag 463410 + intend-to-nmu
usertag 463411 + intend-to-nmu
thanks

hey,
  As these bugs have been open with a patch for over a month and
without a rejection from the maintainer, I intend to NMU the
associated package in a week's time (or sooner, if requested by the
maintainer).

If you do not wish for this NMU to occur, please send a follow-up in
the bug report stating as such or, better yet, fix it in an MU :)

Unless you request otherwise, any NMUs I upload will be to the DELAYED
queue, so you will have an additional week to supersede my upload with
an MU to prevent it from entering unstable.

-- 
dann frazier





Bug 463369 cloned as bugs 470050, 470051, 470052. Request was from zobel@neptun.vpn.ftbfs.de (Martin Zobel-Helas) to control@bugs.debian.org. (Sat, 08 Mar 2008 20:54:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#463369; Package sylpheed-claws. Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #19 received at 463369@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: control@bugs.debian.org
Cc: 463369@bugs.debian.org
Subject: tagging 463369, usertagging 463369, usertagging 463369
Date: Sun, 09 Mar 2008 13:34:11 +0100
# Automatically generated email from bts, devscripts version 2.10.16
tags 463369 confirmed
usertags 463369 - intend-to-nmu
# please do not NMU, go ahead and remove it
usertags 463369 + remove-from-testing





Tags added: confirmed Request was from Ricardo Mones <mones@debian.org> to control@bugs.debian.org. (Sun, 09 Mar 2008 12:39:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#463369; Package sylpheed-claws. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #26 received at 463369@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 463369@bugs.debian.org, mones@debian.org
Subject: status of this package
Date: Mon, 24 Mar 2008 16:57:43 -0600
hey Ricardo,
 Can you clarify the status of this package? Your bts comments suggest
that you wish for this package to be removed from testing, and for no
NMU to occur.

sylpheed-claws was removed from testing in 2008.03.09. It sill exists
in unstable and there appears to be no bug requesting its removal
from the distribution, so its not clear why an NMU for this issue
would be a bad thing.





Bug marked as found in version 1.0.5-6. Request was from dann frazier <dannf@debian.org> to control@bugs.debian.org. (Fri, 28 Mar 2008 23:42:52 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#463369; Package sylpheed-claws. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #33 received at 463369@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 463369@bugs.debian.org
Subject: NMU uploaded to delayed queue
Date: Sun, 30 Mar 2008 16:03:59 -0600
[Message part 1 (text/plain, inline)]
NMU is in 7-day delayed queue, patch attached.
[sylpheed-claws.patch (text/plain, attachment)]

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 463369-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 463369-close@bugs.debian.org
Subject: Bug#463369: fixed in sylpheed-claws 1.0.5-6.1
Date: Sun, 06 Apr 2008 21:33:08 +0000
Source: sylpheed-claws
Source-Version: 1.0.5-6.1

We believe that the bug you reported is fixed in the latest version of
sylpheed-claws, which is due to be installed in the Debian FTP archive:

libsylpheed-claws-dev_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/libsylpheed-claws-dev_1.0.5-6.1_ia64.deb
sylpheed-claws-clamav_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-clamav_1.0.5-6.1_ia64.deb
sylpheed-claws-dillo-viewer_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-dillo-viewer_1.0.5-6.1_ia64.deb
sylpheed-claws-i18n_1.0.5-6.1_all.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-i18n_1.0.5-6.1_all.deb
sylpheed-claws-image-viewer_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-image-viewer_1.0.5-6.1_ia64.deb
sylpheed-claws-pgpmime_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-pgpmime_1.0.5-6.1_ia64.deb
sylpheed-claws-plugins_1.0.5-6.1_all.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-plugins_1.0.5-6.1_all.deb
sylpheed-claws-scripts_1.0.5-6.1_all.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-scripts_1.0.5-6.1_all.deb
sylpheed-claws-spamassassin_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-spamassassin_1.0.5-6.1_ia64.deb
sylpheed-claws-trayicon_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws-trayicon_1.0.5-6.1_ia64.deb
sylpheed-claws_1.0.5-6.1.diff.gz
  to pool/main/s/sylpheed-claws/sylpheed-claws_1.0.5-6.1.diff.gz
sylpheed-claws_1.0.5-6.1.dsc
  to pool/main/s/sylpheed-claws/sylpheed-claws_1.0.5-6.1.dsc
sylpheed-claws_1.0.5-6.1_ia64.deb
  to pool/main/s/sylpheed-claws/sylpheed-claws_1.0.5-6.1_ia64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463369@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated sylpheed-claws package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 28 Mar 2008 17:29:56 -0600
Source: sylpheed-claws
Binary: sylpheed-claws libsylpheed-claws-dev sylpheed-claws-plugins sylpheed-claws-clamav sylpheed-claws-dillo-viewer sylpheed-claws-image-viewer sylpheed-claws-spamassassin sylpheed-claws-trayicon sylpheed-claws-pgpmime sylpheed-claws-scripts sylpheed-claws-i18n
Architecture: source all ia64
Version: 1.0.5-6.1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 libsylpheed-claws-dev - Development files to build plugins for Sylpheed-Claws
 sylpheed-claws - Extended version of the Sylpheed mail client
 sylpheed-claws-clamav - Clam AntiVirus plugin for Sylpheed Claws
 sylpheed-claws-dillo-viewer - HTML viewer plugin for Sylpheed Claws using Dillo
 sylpheed-claws-i18n - Locale data for Sylpheed Claws (i18n support)
 sylpheed-claws-image-viewer - Image viewer plugin for Sylpheed Claws
 sylpheed-claws-pgpmime - PGP/MIME plugin for Sylpheed Claws
 sylpheed-claws-plugins - Various plugins for the Sylpheed Claws mail client
 sylpheed-claws-scripts - Helper scripts for Sylpheed and Sylpheed Claws
 sylpheed-claws-spamassassin - SpamAssassin plugin for Sylpheed Claws
 sylpheed-claws-trayicon - Notification area plugin for Sylpheed Claws
Closes: 463369
Changes: 
 sylpheed-claws (1.0.5-6.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Define LDAP_DEPRECATED to continue use of deprecated LDAP functions.
     (Closes: #463369).
Files: 
 816aaef2d7f3bce28a27afd31ef000b1 1159 mail optional sylpheed-claws_1.0.5-6.1.dsc
 8f3bf751b2443f34313461f00fce950a 95056 mail optional sylpheed-claws_1.0.5-6.1.diff.gz
 ec902665b7e83c58fe792f30a0d9f322 109180 mail optional sylpheed-claws-plugins_1.0.5-6.1_all.deb
 fcc235dd0a5bb32fd6aa39f7f00a40f2 167876 mail optional sylpheed-claws-scripts_1.0.5-6.1_all.deb
 ff7f053c8118940e40a92d7b440dcdd3 1189868 mail optional sylpheed-claws-i18n_1.0.5-6.1_all.deb
 90ea52d445a1c73f1958724ee2eb045a 1364558 mail optional sylpheed-claws_1.0.5-6.1_ia64.deb
 52d5429973fa242d2f42c4cf15dd60f9 198164 devel optional libsylpheed-claws-dev_1.0.5-6.1_ia64.deb
 cdb8a44b3206b702eead9119274bd7df 121746 mail optional sylpheed-claws-clamav_1.0.5-6.1_ia64.deb
 c6bfe7ea0282b052104c9b5fddae9570 117712 mail optional sylpheed-claws-dillo-viewer_1.0.5-6.1_ia64.deb
 af1fe8ada1cf974e10981459f297140d 119592 mail optional sylpheed-claws-image-viewer_1.0.5-6.1_ia64.deb
 e64311931ddf9380b172c40fe870d477 137110 mail optional sylpheed-claws-spamassassin_1.0.5-6.1_ia64.deb
 e61288075680020d6f5bd994ada28fd8 128650 mail optional sylpheed-claws-trayicon_1.0.5-6.1_ia64.deb
 0cc448ca8c9d91984d250ad7b84854e0 139730 mail optional sylpheed-claws-pgpmime_1.0.5-6.1_ia64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH8AakhuANDBmkLRkRAizMAJ9STmKHUwYBpuufWyxBBCmvk6iSFgCeODHA
Iluzy/ywNhbhg5g3QO1s/uM=
=wEs1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 May 2008 08:00:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:41:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.